Bug 1210336 - cAdvisor fails to start because -samples
Summary: cAdvisor fails to start because -samples
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cadvisor
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-09 13:23 UTC by Stef Walter
Modified: 2015-05-26 03:44 UTC (History)
7 users (show)

Fixed In Version: cadvisor-0.13.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-19 16:23:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Stef Walter 2015-04-09 13:23:13 UTC
Description of problem:

cAdvisor fails to start because of the --samples argument:

Apr 09 15:17:51 falcon.thewalter.lan cadvisor[5117]: flag provided but not defined: -samples
Apr 09 15:17:51 falcon.thewalter.lan cadvisor[5117]: Usage of /usr/bin/cadvisor:
...

Version-Release number of selected component (if applicable):

cadvisor-0.10.1-0.1.gitef7dddf.fc22.x86_64

How reproducible:

Every time

Steps to Reproduce:
1. systemctl start cadvisor

Comment 1 Stef Walter 2015-04-09 13:25:04 UTC
Can confirm that removing the following line from /lib/systemd/system/cadvisor.service allows cadvisor to start:

        --samples=${CADVISOR_SAMPLES} \

Comment 2 Fedora Update System 2015-04-09 15:13:40 UTC
cadvisor-0.10.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cadvisor-0.10.1-2.fc22

Comment 3 Fedora Update System 2015-04-09 15:14:10 UTC
cadvisor-0.10.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cadvisor-0.10.1-2.fc21

Comment 4 Fedora Update System 2015-04-09 15:15:47 UTC
cadvisor-0.10.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cadvisor-0.10.1-2.fc20

Comment 5 Fedora Update System 2015-04-10 07:28:18 UTC
Package cadvisor-0.10.1-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cadvisor-0.10.1-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5908/cadvisor-0.10.1-2.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-05-08 22:13:12 UTC
cadvisor-0.13.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cadvisor-0.13.0-1.fc22

Comment 7 Fedora Update System 2015-05-08 22:14:08 UTC
cadvisor-0.13.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cadvisor-0.13.0-1.fc21

Comment 8 Fedora Update System 2015-05-08 22:15:12 UTC
cadvisor-0.13.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cadvisor-0.13.0-1.fc20

Comment 9 Fedora Update System 2015-05-19 16:23:08 UTC
cadvisor-0.13.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-05-19 16:27:12 UTC
cadvisor-0.13.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-05-26 03:44:02 UTC
cadvisor-0.13.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.